From a5eaca807fb46fb20148cec28392d9fc13174d4d Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 13 Apr 2022 11:07:02 +0200
Subject: [PATCH 2/5] Adjust some header file installation paths

---
 src/include/catalog/meson.build  | 4 ++--
 src/include/parser/meson.build   | 2 +-
 src/include/storage/meson.build  | 2 +-
 src/interfaces/libpq/meson.build | 3 +--
 4 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/src/include/catalog/meson.build b/src/include/catalog/meson.build
index f5bc294c81..5ccb84ee34 100644
--- a/src/include/catalog/meson.build
+++ b/src/include/catalog/meson.build
@@ -94,13 +94,13 @@ bki_data = files(
 
 input = []
 output_files = ['postgres.bki', 'schemapg.h', 'system_fk_info.h', 'system_constraints.sql']
-output_install = [get_option('datadir'), get_option('includedir'), get_option('includedir'), get_option('datadir')]
+output_install = [get_option('datadir'), get_option('includedir') / 'server/catalog', get_option('includedir') / 'server/catalog', get_option('datadir')]
 
 foreach h : catalog_headers
   fname = h.split('.h')[0]+'_d.h'
   input += files(h)
   output_files += fname
-  output_install += get_option('includedir')
+  output_install += get_option('includedir') / 'server/catalog'
 endforeach
 
 generated_headers += custom_target('generated_catalog_headers',
diff --git a/src/include/parser/meson.build b/src/include/parser/meson.build
index caf4c09290..a8df3db7fe 100644
--- a/src/include/parser/meson.build
+++ b/src/include/parser/meson.build
@@ -4,7 +4,7 @@ backend_parser_header = custom_target('gram',
   command: [bison, bisonflags, '-d', '-o', '@OUTPUT0@', '@INPUT0@'],
   install: true,
   # Only install gram.h, not gram.c
-  install_dir: [false, get_option('includedir')]
+  install_dir: [false, get_option('includedir') / 'server/parser']
 )
 
 #generated_backend_headers += backend_parser[1]
diff --git a/src/include/storage/meson.build b/src/include/storage/meson.build
index ef2bbb7c6f..63b110cbef 100644
--- a/src/include/storage/meson.build
+++ b/src/include/storage/meson.build
@@ -8,7 +8,7 @@ lwlocknames = custom_target('lwlocknames',
   command : [perl, files('../../backend/storage/lmgr/generate-lwlocknames.pl'), '-o', '@OUTDIR@', '@INPUT@'],
   build_by_default: true,
   install: true,
-  install_dir: [get_option('includedir'), false],
+  install_dir: [get_option('includedir') / 'server/storage', false],
 )
 
 lwlocknames_h = lwlocknames[0]
diff --git a/src/interfaces/libpq/meson.build b/src/interfaces/libpq/meson.build
index 0e422c1ae6..ce948e7568 100644
--- a/src/interfaces/libpq/meson.build
+++ b/src/interfaces/libpq/meson.build
@@ -103,8 +103,7 @@ libpq = declare_dependency(
 )
 
 install_headers('libpq-fe.h', 'libpq-events.h')
-# FIXME: adjust path
-install_headers('libpq-int.h', 'pqexpbuffer.h')
+install_headers('libpq-int.h', 'pqexpbuffer.h', install_dir: get_option('includedir') / 'internal')
 install_data('pg_service.conf.sample', install_dir: get_option('datadir'))
 
 
-- 
2.35.1

